## ratbagd 0.4

=== meson_options.txt ===
option('systemd-unit-dir',
	type : 'string',
	default : '',
	description : 'systemd unit directory [default=$libdir/systemd/system]')

option('dbus-root-dir',
	type : 'string',
	default : '',
	description : 'dbus service directory [default=$datadir/dbus-1]')

## ratbagd 0.2

=== debian/changelog ===
ratbagd (0.2-1) unstable; urgency=low

  * Initial release. Closes: #816838.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Apr 2016 22:25:32 +0200

=== debian/control ===
Source: ratbagd
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               pkg-config,
               libsystemd-dev (>= 227),
               libudev-dev,
               libratbag-dev,
               python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ratbagd.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ratbagd.git
Homepage: https://github.com/libratbag/ratbagd

Package: ratbagd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: D-Bus daemon handling mouse configuration
 ratbagd provides access over D-Bus to mouse settings exposed by
 libratbag, such as DPI and button mappings on gaming mice.
 .
 See libratbag's description for details on supported devices and
 features.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --with-systemd-unit-dir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/ratbagd/etc/dbus-1 debian/ratbagd/usr/share/ratbagd
	mv debian/ratbagd/usr/share/dbus-1/system.d debian/ratbagd/etc/dbus-1/
	mv debian/ratbagd/usr/lib/python*/dist-packages/ratbagd debian/ratbagd/usr/share/ratbagd
	rm -rf debian/ratbagd/usr/lib

=== debian/watch ===
version=3
https://github.com/libratbag/ratbagd/releases (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.tz|tar\.bz2|tar\.xz)

## ratbagd 0.4

=== debian/changelog ===
ratbagd (0.4-3) unstable; urgency=medium

  * Fix Meson options to allow building with 0.43. Closes: #880898.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Jan 2018 14:05:04 +0100

ratbagd (0.4-2) unstable; urgency=medium

  * Build-depend on python3-dev. Closes: #867357.
  * Drop Debian-provided manpages, merged upstream.
  * Use https URLs in debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Jul 2017 08:55:06 +0200

ratbagd (0.4-1) unstable; urgency=medium

  * New upstream release, using Meson and Python 3.
  * Update watch file.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 21:12:28 +0200

=== debian/control ===
Source: ratbagd
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               pkg-config,
               libsystemd-dev (>= 227),
               libudev-dev,
               libratbag-dev (>= 0.6),
               meson (>= 0.40),
               python3-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ratbagd.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ratbagd.git
Homepage: https://github.com/libratbag/ratbagd

Package: ratbagd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: D-Bus daemon handling mouse configuration
 ratbagd provides access over D-Bus to mouse settings exposed by
 libratbag, such as DPI and button mappings on gaming mice.
 .
 See libratbag's description for details on supported devices and
 features.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -Dsystemd-unit-dir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/ratbagd/etc/dbus-1 debian/ratbagd/usr/share/ratbagd
	mv debian/ratbagd/usr/share/dbus-1/system.d debian/ratbagd/etc/dbus-1/
	mv debian/ratbagd/usr/lib/python*/*-packages/ratbagd debian/ratbagd/usr/share/ratbagd
	rm -rf debian/ratbagd/usr/lib

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ratbagd-$1.tar.gz%" \
    https://github.com/libratbag/ratbagd/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
